---
- hosts: h-1
  remote_user: root
  tasks:
  - block:
    - shell: 'ls /ooo'
    - shell: 'ls /testdir'
    - shell: 'ls /a'
    rescue:
    - debug:
        msg: "i caught an error1"
    - debug:
        msg: "i caught an error2"
    always:
    - debug:
        msg: "This always executes"
